wasmPluginVersion:
  image:
    arg_name: image
    api_field: wasmPluginVersion.imageUri
    required: true
    help_text: |
      URI of the image containing the plugin's Wasm module, stored in the
      Artifact Registry.
  pluginConfigUri:
    arg_name: plugin-config-uri
    api_field: wasmPluginVersion.pluginConfigUri
    help_text: |
      URI of the image containing the plugin's configuration, stored in the
      Artifact Registry.
  description:
    arg_name: description
    api_field: wasmPluginVersion.description
    help_text: |-
      A human-readable description of the resource.
  labels:
    arg_name: labels
    metavar: KEY=VALUE
    api_field: wasmPluginVersion.labels
    type: "googlecloudsdk.calliope.arg_parsers:ArgDict:"
    help_text: |
      List of KEY=VALUE labels to attach to this resource.

wasmPlugin:
  mainVersion:
    arg_name: main-version
    api_field: wasmPlugin.mainVersionId
    help_text: |
      The ID of the `WasmPluginVersion` resource that should be the currently serving
      one. The version referred to must be a child of this `WasmPlugin`.
  description:
    arg_name: description
    api_field: wasmPlugin.description
    help_text: |-
      A human-readable description of the resource.
  logConfig:
    arg_name: log-config
    api_field: wasmPlugin.logConfig
    type: 'googlecloudsdk.command_lib.network_actions.util:LogConfig:'
    processor: googlecloudsdk.command_lib.network_actions.util:GetLogConfig
    help_text: |
        Logging options for the activity performed by this plugin.
        The following options can be set:
        * `enable`: whether to enable logging. If `log-config` flag is set,
          `enable` option is required.

        * `sample-rate`: configures the sampling rate of activity logs, where
          `1.0` means all logged activity is reported and `0.0` means no
          activity is reported. The default value is `1.0`, and the value of
          the field must be in range `0` to `1` (inclusive).

        * `min-log-level`: specifies the lowest level of the logs that
          should be exported to Cloud Logging. The default value is `INFO`.

        Example usage:
        `--log-config=enable=True,sample-rate=0.5,min-log-level=INFO
        --log_config=enable=False`
  labels:
    arg_name: labels
    api_field: wasmPlugin.labels
    type: "googlecloudsdk.calliope.arg_parsers:ArgDict:"
    help_text: |
      List of KEY-VALUE labels to attach to this resource.
